> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear un nuevo GPS

> Crea un nuevo dispositivo GPS con sus datos operativos, comerciales y de catalogo segun el DTO de entrada.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/gps/create
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/gps/create:
    post:
      tags:
        - GPS Details
      summary: Crear un nuevo GPS
      description: >-
        Crea un nuevo dispositivo GPS con sus datos operativos, comerciales y de
        catalogo segun el DTO de entrada.
      operationId: GpsDetailsController_createGps[1]
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGpsDetailsDto'
      responses:
        '201':
          description: GPS creado exitosamente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GpsMessageResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateGpsDetailsDto:
      type: object
      properties:
        gps_name:
          type: string
          description: Nombre del GPS
        imei:
          type: string
          description: IMEI del GPS
        sim_deta_id:
          type: object
          description: ID del SIM
          nullable: true
        gps_model_id:
          type: object
          description: ID del modelo de GPS
          nullable: true
        gps_platforms_id:
          type: object
          description: ID de la plataforma de GPS
          nullable: true
        gps_inventory_id:
          type: object
          description: ID del inventario/ubicación
          nullable: true
        assigned_id:
          type: object
          description: ID del asignado (cliente, técnico o bodega)
          nullable: true
        gps_status_id:
          type: object
          description: ID del estado del GPS
          nullable: true
      required:
        - gps_name
        - imei
    GpsMessageResponseDto:
      type: object
      properties:
        message:
          type: string
          description: Mensaje de respuesta
      required:
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````